Mission and Overview
NVD is the U.S. government repository of standards based vulnerability management data. This data enables automation of vulnerability management, security measurement, and compliance (e.g. FISMA).
Resource Status
NVD contains:

Last updated: 11/28/2014 2:08:10 AM

CVE Publication rate: 18.37

Email List

NVD provides four mailing lists to the public. For information and subscription instructions please visit NVD Mailing Lists

Workload Index
Vulnerability Workload Index: 8.12
About Us
NVD is a product of the NIST Computer Security Division and is sponsored by the Department of Homeland Security's National Cyber Security Division. It supports the U.S. government multi-agency (OSD, DHS, NSA, DISA, and NIST) Information Security Automation Program. It is the U.S. government content repository for the Security Content Automation Protocol (SCAP).

National Cyber Awareness System

Vulnerability Summary for CVE-2007-4987

Original release date: 09/24/2007
Last revised: 03/07/2011
Source: US-CERT/NIST

Overview

Off-by-one error in the ReadBlobString function in blob.c in ImageMagick before 6.3.5-9 allows context-dependent attackers to execute arbitrary code via a crafted image file, which triggers the writing of a '\0' character to an out-of-bounds address.

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score: 9.3 (HIGH) (AV:N/AC:M/Au:N/C:C/I:C/A:C) (legend)
Impact Subscore: 10.0
Exploitability Subscore: 8.6
CVSS Version 2 Metrics:
Access Vector: Network exploitable; Victim must voluntarily interact with attack mechanism
Access Complexity: Medium
Authentication: Not required to exploit
Impact Type: Allows unauthorized disclosure of information; Allows unauthorized modification; Allows disruption of service

Vendor Statements (disclaimer)

Official Statement from Red Hat (12/05/2007)
Note: As the address of the overwritten byte is not under attacker’s control, the worst impact his bug could have is an application crash. It can not be exploited to execute arbitrary code.

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

External Source: IDEFENSE
Name: 20070919 Multiple Vendor ImageMagick Off-By-One Vulnerability
External Source: SECUNIA
Name: 26926
External Source: GENTOO
Name: GLSA-200710-27
External Source: XF
Name: imagemagick-readblogstring-bo(36739)
External Source: SECTRACK
Name: 1018729
External Source: SECUNIA
Name: 27048
External Source: CONFIRM
Name: https://issues.rpath.com/browse/RPL-1743
External Source: SECUNIA
Name: 27364
External Source: UBUNTU
Name: USN-523-1
External Source: SECUNIA
Name: 28721
External Source: CONFIRM
Name: http://bugs.gentoo.org/show_bug.cgi?id=186030
External Source: MANDRIVA
Name: MDVSA-2008:035
External Source: SUSE
Name: SUSE-SR:2007:023
External Source: SECUNIA
Name: 27309
External Source: SECUNIA
Name: 27439
External Source: SECUNIA
Name: 36260
External Source: MLIST
Name: [Magick-announce] 20070917 ImageMagick 6.3.5-9, important security updates
External Source: BID
Name: 25766
Type: Patch Information; Exploit
External Source: VUPEN
Name: ADV-2007-3245
External Source: DEBIAN
Name: DSA-1858
External Source: CONFIRM
Name: http://www.imagemagick.org/script/changelog.php
External Source: BUGTRAQ
Name: 20071112 FLEA-2007-0066-1 ImageMagick

Vulnerable software and versions

+ Configuration 1
+ OR
* cpe:/a:imagemagick:imagemagick:5.3.3
* cpe:/a:imagemagick:imagemagick:5.3.8
* cpe:/a:imagemagick:imagemagick:5.4.2.3
* cpe:/a:imagemagick:imagemagick:5.4.3
* cpe:/a:imagemagick:imagemagick:5.4.4.5
* cpe:/a:imagemagick:imagemagick:5.4.7
* cpe:/a:imagemagick:imagemagick:5.4.8
* cpe:/a:imagemagick:imagemagick:5.4.8.2_1.1.0
* cpe:/a:imagemagick:imagemagick:5.5.3_.2_1.2.0
* cpe:/a:imagemagick:imagemagick:5.5.4
* cpe:/a:imagemagick:imagemagick:5.5.6
* cpe:/a:imagemagick:imagemagick:5.5.6.0_20030409
* cpe:/a:imagemagick:imagemagick:5.5.7
* cpe:/a:imagemagick:imagemagick:5.5.7.15
* cpe:/a:imagemagick:imagemagick:6.0
* cpe:/a:imagemagick:imagemagick:6.0.1
* cpe:/a:imagemagick:imagemagick:6.0.2
* cpe:/a:imagemagick:imagemagick:6.0.2.5
* cpe:/a:imagemagick:imagemagick:6.0.3
* cpe:/a:imagemagick:imagemagick:6.0.4
* cpe:/a:imagemagick:imagemagick:6.0.4.4
* cpe:/a:imagemagick:imagemagick:6.0.5
* cpe:/a:imagemagick:imagemagick:6.0.6
* cpe:/a:imagemagick:imagemagick:6.0.6.2
* cpe:/a:imagemagick:imagemagick:6.0.7
* cpe:/a:imagemagick:imagemagick:6.0.8
* cpe:/a:imagemagick:imagemagick:6.1
* cpe:/a:imagemagick:imagemagick:6.1.1
* cpe:/a:imagemagick:imagemagick:6.1.2
* cpe:/a:imagemagick:imagemagick:6.1.3
* cpe:/a:imagemagick:imagemagick:6.1.4
* cpe:/a:imagemagick:imagemagick:6.1.5
* cpe:/a:imagemagick:imagemagick:6.1.6
* cpe:/a:imagemagick:imagemagick:6.1.7
* cpe:/a:imagemagick:imagemagick:6.1.8
* cpe:/a:imagemagick:imagemagick:6.2
* cpe:/a:imagemagick:imagemagick:6.2.0.3
* cpe:/a:imagemagick:imagemagick:6.2.0.7
* cpe:/a:imagemagick:imagemagick:6.2.1
* cpe:/a:imagemagick:imagemagick:6.2.2
* cpe:/a:imagemagick:imagemagick:6.2.3
* cpe:/a:imagemagick:imagemagick:6.2.3.4
* cpe:/a:imagemagick:imagemagick:6.2.4
* cpe:/a:imagemagick:imagemagick:6.2.4.3
* cpe:/a:imagemagick:imagemagick:6.2.4.5
* cpe:/a:imagemagick:imagemagick:6.2.5
* cpe:/a:imagemagick:imagemagick:6.2.6
* cpe:/a:imagemagick:imagemagick:6.2.7
* cpe:/a:imagemagick:imagemagick:6.2.8
* cpe:/a:imagemagick:imagemagick:6.2.9
* cpe:/a:imagemagick:imagemagick:6.2.9.2
* cpe:/a:imagemagick:imagemagick:6.3.1
* cpe:/a:imagemagick:imagemagick:6.3.2
* cpe:/a:imagemagick:imagemagick:6.3.3_3
* cpe:/a:imagemagick:imagemagick:6.3.3_5
* cpe:/a:imagemagick:imagemagick:6.3.3_6
* cpe:/a:imagemagick:imagemagick:6.3.4

* Denotes Vulnerable Software
Changes related to vulnerability configurations

Technical Details

Vulnerability Type (View All)